<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AdminAuthController extends Controller
{
    public function login(Request $request)
    {
        $credentials = [
            'email' => $request->input('email-username'),
            'password' => $request->input('password'),
        ];

        if (Auth::attempt($credentials)) {
            if (Auth::user()->is_admin) {
                return redirect('/dashboard');
            } else {
                Auth::logout();
                return back()->withErrors(['email-username' => 'Access denied. Not an admin.']);
            }
        }

        return back()->withErrors(['email-username' => 'Invalid login credentials.']);
    }
}
